<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="../reset.css">
    <link rel="stylesheet" href="./style.css">

</head>
<body>
    <div class="checkbox">
        <input type="checkbox" name="" id="checkbox__input" class="checkbox__input">
        <label for="checkbox__input" class="checkbox__label"> I agree the term</label>
    </div>

    <div class="radio">
        <input type="radio" id="radio__input" class="radio__input" onclick="handleClick(this)" data-prev="false">
        <label for="radio__input" class="radio__label"> I agree the term</label>
    </div>
    <script>
        function handleClick(domValue) {
            const id = domValue.id;
            const radio = document.getElementById(id);
            const prevData = radio.dataset.prev;
            if(prevData === 'true') {
                radio.checked = false;
                radio.dataset.prev = radio.checked.toString();
            }
            else{
                radio.checked = true;
                radio.dataset.prev = radio.checked.toString();
            }
        }
    </script>
</body>
</html>
